com.mysql.cj

## Interface CancelQueryTask

    public interface CancelQueryTask

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `cancel()`
`Throwable` `getCaughtWhileCancelling()`
`Query` `getQueryToCancel()`
`void` `setCaughtWhileCancelling(Throwable caughtWhileCancelling)`
`void` `setQueryToCancel(Query queryToCancel)`

### Method Detail

#### cancel

    boolean cancel()

#### getCaughtWhileCancelling

    Throwable getCaughtWhileCancelling()

#### setCaughtWhileCancelling

    void setCaughtWhileCancelling(Throwable caughtWhileCancelling)

#### getQueryToCancel

    Query getQueryToCancel()

#### setQueryToCancel

    void setQueryToCancel(Query queryToCancel)

Copyright © 2016, 2024, Oracle and/or its affiliates.